# generate\_random\_strings

Generates random string data.

```
SELECT * FROM TABLE(generate_random_strings(<num_strings>, <string_length>/)
```

#### Input Arguments

| Parameter         | Description                                 | Data Type |
| ----------------- | ------------------------------------------- | --------- |
| `<num_strings>`   | The number of strings to randomly generate. | BIGINT    |
| `<string_length>` | Length of the generated strings.            | BIGINT    |

#### Output Columns

| Name      | Description                                                      | Data Type                   |
| --------- | ---------------------------------------------------------------- | --------------------------- |
| id        | Integer id of output, starting at 0 and increasing monotonically | Column\<BIGINT>             |
| rand\_str | Random String                                                    | Column\<TEXT ENCODING DICT> |

**Example**

```sql
heavysql> SELECT * FROM TABLE(generate_random_strings(10, 20);
id|rand_str
0 |He9UeknrGYIOxHzh5OZC
1 |Simnx7WQl1xRihLiH56u
2 |m5H1lBTOErpS8is00YJ
3 |eeDiNHfKzVQsSg0qHFS0
4 |JwOhUoQEI6Z0L78mj8jo
5 |kBTbSIMm25dvf64VMi
6 |W3lUUvC5ajm0W24JML
7 |XdtSQfdXQ85nvaIoyYUY
8 |iUTfGN5Jaj25LjGJhiRN
9 |72GUoTK2BzcBJVTgTGW
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.heavy.ai/sql/data-manipulation-dml/system-table-functions/generate_random_strings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
